#!/usr/bin/lua
-- --------------------------------------------
-- start command sequence
-- --------------------------------------------
opt_clear_timeout()
hw_ver, fw_ver, fpga_ver, aice_mcu = get_aice_version()
if (aice_mcu) then
	print("ERROR: this program is for AICE only")
	os.exit(1)
end

require("field_upgrade")

prom_filename = "v6.prom"
iic_filename = "v6.iic"
if arg[1] ~= nil then
	iic_filename = arg[1]
end
if arg[2] ~= nil then
	prom_filename = arg[2]
end

printf("\n")
printf("start upgrading AICE\n")
printf("Estimated total time to complete: 3.5 + 5 = 8.5 minutes\n\n")
aice.sleep(300)

if (fw_ver <= 6) then
	field_upgrade.write_firmware(iic_filename)
else
	printf("skip overwriting firmware fw_ver=0x%x\n", fw_ver);
end
if (fpga_ver <= 6) then
	field_upgrade.write_fpga(prom_filename)
else
	printf("skip overwriting fpga prom fpga_ver=0x%x\n", fw_ver);
end

printf("\n")
printf("Please disconnect and reconnect the USB cable to reset ICEBOX")

function pause()
	printf("\n")
	printf("Press enter to finish")
	io.flush()
	io.read()
end

pause()
os.exit(0)
